// Generated by CoffeeScript 1.7.1
(function() {
  var module;

  module = angular.module('agriplace.notifier', ['toaster', 'gettext']);

  module.factory('notifier', [
    'toaster', 'gettextCatalog', function(toaster, gt) {
      var AgriPlaceNotifier;
      return new (AgriPlaceNotifier = (function() {
        function AgriPlaceNotifier() {}

        AgriPlaceNotifier.prototype.notify = function(level, msg) {
          toaster.pop(level, null, msg);
          if (typeof console !== "undefined" && console !== null) {
            return console.log("* notification", level, msg);
          }
        };

        AgriPlaceNotifier.prototype.success = function(msg) {
          return this.notify('success', msg);
        };

        AgriPlaceNotifier.prototype.error = function(msg) {
          return this.notify('error', msg);
        };

        AgriPlaceNotifier.prototype.info = function(msg) {
          return this.notify('info', msg);
        };

        return AgriPlaceNotifier;

      })());
    }
  ]);

}).call(this);
